#!/bin/bash
# -------- Start giveth servers and app - Jurek_2019-09-29 --------
#
# Tested on Ubuntu 18.04
# Open terminal, make the script executable e.g: chmod 755 ./giveth-start-V2.sh
# Execute the script ./giveth-start-V2.sh
# 

# The repo dir is where the root dir of your repos, from github is.
# On my laptop it is on:
# This script will open multiple tabs in one terminal window.
export repo=/media/veracrypt1/repo

gnome-terminal --tab --title="ipfs" -- bash -c "ipfs daemon ; exec bash"
sleep 5
gnome-terminal --tab --title="dapp-mailer" -- bash -c "cd $repo/dapp-mailer && yarn start ; exec bash"
sleep 10
gnome-terminal --tab --title="networks" -- bash -c "cd $repo/feathers-giveth && yarn start:networks ; exec bash"
sleep 20
gnome-terminal --tab --title="feathers" -- bash -c "cd $repo/feathers-giveth && yarn start; exec bash"
sleep 30
gnome-terminal --tab --title="dapp" -- bash -c "cd $repo/giveth-dapp && npm start; exec bash"

(started http://localhost:3010/)
# You may play with delays, as they depend on your hardware.
# Inspect all the tabs for errors. You still need to configure MetaMask accounts in chrome.
# I get an error in feathers start:
# "address is not defined
# at fundAccountsWithLowBalance (/media/veracrypt1/repo/feathers-giveth/src/blockchain/balanceMonitor.js:37:5).."
# Server still works so...

# If all went well, you should get on dapp tab:
# "Compiled successfully!
# You can now view giveth-dapp in the browser.
#  Local:            http://localhost:3010/
#  On Your Network:  http://192.168.43.137:3010/
# Note that the development build is not optimized.
# To create a production build, use npm run build."


 

